Skip to content
For the complete documentation index, see llms.txt. Markdown versions of documentation pages are available by appending .md to the page URL.
Primary navigation
Theme

Delete Skill

client.Skills.Delete(ctx, skillID) (*DeletedSkill, error)
DELETE
/skills/{skill_id}

Delete a skill by its ID.

Delete Skill

package main

import (
  "context"
  "fmt"

  "github.com/openai/openai-go"
  "github.com/openai/openai-go/option"
)

func main() {
  client := openai.NewClient(
    option.WithAPIKey("My API Key"),
  )
  deletedSkill, err := client.Skills.Delete(context.TODO(), "skill_123")
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", deletedSkill.ID)
}
200 — Example
{
  "id": "id",
  "deleted": true,
  "object": "skill.deleted"
}
Parameters
skillID string
Returns
type DeletedSkill struct{…}
ID string
Deleted bool
Object SkillDeleted
Returns Examples
200 — Example
{
  "id": "id",
  "deleted": true,
  "object": "skill.deleted"
}